﻿local f = CreateFrame("frame")
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local SoW_Clock_Broker = ldb:NewDataObject("SoW_Clock_Brokers", {
  type = "data source",
  icon = "Interface\\Addons\\SoW_Clock\\Icon\\SoW",
  label = "SoW_Clock",
  text = "00:00:00",
  OnClick = function(self, button, ...)
	  Click_Event(button)
	end
});
local h, m, s, t = 0, 0, 0, 0;

local pastsec = 0;

f:SetScript("OnUpdate", function(self, elap)
  if not (pastsec == date("%S")) then
	  SoW_Clock_Broker_Text_Work()
	  pastsec = date("%S")
	end
end)

function SoW_Clock_Broker.OnLeave()
   GameTooltip:Hide();
end

function SoW_Clock_Broker_Text_Work()
  local Done_Text = "";
  if SoW_Clock.BrokerShowSet == 0 then
    Done_Text = SoW_TimeReturn(SoW_Clock.TimeType, SoW_Clock.TimeSetType, "SoW_Clock_Broker.lua") .. "|TInterface\\Icons\\INV_Misc_PocketWatch_01:0:0:0:0|t";
    
  elseif SoW_Clock.BrokerShowSet == 1 then
    Done_Text = SoW_FPS_Return();
    
  elseif SoW_Clock.BrokerShowSet == 2 then
    Done_Text = SoW_WoWMem_Return();
    
  elseif SoW_Clock.BrokerShowSet == 3 then
    Done_Text = SoW_Network_Status_Return(2);
    
  elseif SoW_Clock.BrokerShowSet == 4 then
    Done_Text = SoW_FPS_Return() .. " " .. SoW_WoWMem_Return() .. " " .. SoW_Network_Status_Return(0);

  elseif SoW_Clock.BrokerShowSet == 5 then
    Done_Text = SoW_BattleFieldTime(1)

  elseif SoW_Clock.BrokerShowSet == 6 then
    Done_Text = SoW_BattleFieldTime(2)
  end
  
  if SoW_Clock.ShowType == 1 then
  OClockNCleanTime()
    if SoW_Clock.BattleField then
    	SoW_BattleFieldArarm()
    end
  end
  
  SoW_Clock_Broker.text = Done_Text;
end

function SoW_Clock_Broker.OnEnter(self)
  if SoW_Clock.CombatToolTipRemove == true then
    if InCombatLockdown() == nil then
      GameTooltip:SetOwner(self, "ANCHOR_NONE");
      GameTooltip:ClearAllPoints();
      GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT");
      GameTooltip:ClearLines();
      SoW_TooltipShow(SoW_Clock.TipSet, SoW_Clock.TipList, SoW_Clock.MemSize)
    end
  else
    GameTooltip:SetOwner(self, "ANCHOR_NONE");
    GameTooltip:ClearAllPoints();
    GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT");
    GameTooltip:ClearLines();
    SoW_TooltipShow(SoW_Clock.TipSet, SoW_Clock.TipList, SoW_Clock.MemSize)
  end
end